<%@ taglib uri="http://www.tagunit.org/tagunit/core" prefix="tagunit" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>

<%
  String strings[];
%>

<%
  strings = new String[] {"a", "b", "c"};
  pageContext.setAttribute("strings", strings);
%>

<tagunit:assertEquals name="Simple loop over array">
  <tagunit:actualResult><c:forEach var="myVar" items="${strings}"><c:out value="${myVar}"/></c:forEach></tagunit:actualResult>
  <tagunit:expectedResult>abc</tagunit:expectedResult>
</tagunit:assertEquals>

<%
  strings = new String[] {};
  pageContext.setAttribute("strings", strings);
%>

<tagunit:assertEquals name="Simple loop over empty array">
  <tagunit:actualResult><c:forEach var="myVar" items="${strings}"><c:out value="${myVar}"/></c:forEach></tagunit:actualResult>
  <tagunit:expectedResult/>
</tagunit:assertEquals>

<%
  pageContext.removeAttribute("strings");
%>

<tagunit:assertEquals name="Simple loop over null reference">
  <tagunit:actualResult><c:forEach var="myVar" items="${strings}"><c:out value="${myVar}"/></c:forEach></tagunit:actualResult>
  <tagunit:expectedResult/>
</tagunit:assertEquals>
