<%@ taglib uri="http://www.tagunit.org/tagunit/core" prefix="tagunit" %>

<tagunit:assertBodyContent name="JSP"/>

<tagunit:assertAttribute name="uri" required="false" rtexprvalue="false" />

<tagunit:assertException name="Incorrect nesting" exception="javax.servlet.jsp.JspTagException" message="expectedResult tag must be nested.">
  <tagunit:expectedResult/>
</tagunit:assertException>

<tagunit:assertException name="No resource found at URI" exception="javax.servlet.jsp.JspTagException" message="Expected result located at /dummyLocation not found.">
  <% Throwable myThrowable = null; %>
  <tagunit:assertEquals name="No resource found at URI wrapper">
    <% try { %>
    <tagunit:expectedResult uri="/dummyLocation"/>
    <% } catch (Throwable t) { myThrowable = t; } %>
    <tagunit:actualResult/>
  </tagunit:assertEquals>
  <% if (1 == 1) { throw myThrowable; } %>
</tagunit:assertException>