<%@ taglib uri="http://www.tagunit.org/tagunit/core" prefix="tagunit" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>

<tagunit:assertEquals name="Loop over 3 tokens">
  <tagunit:actualResult><c:forEach var="myVar" items="1,2,3"><c:out value="${myVar}"/></c:forEach></tagunit:actualResult>
  <tagunit:expectedResult>123</tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Loop over zero tokens">
  <tagunit:actualResult><c:forEach var="myVar" items=""><c:out value="${myVar}"/></c:forEach></tagunit:actualResult>
  <tagunit:expectedResult/>
</tagunit:assertEquals>

<tagunit:assertEquals name="Loop over 5 tokens (begin=0, end=5)">
  <tagunit:actualResult><c:forEach var="myVar" items="1,2,3,4,5" begin="0" end="5"><c:out value="${myVar}"/></c:forEach></tagunit:actualResult>
  <tagunit:expectedResult>12345</tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Loop over 5 tokens (begin=2, end=4)">
  <tagunit:actualResult><c:forEach var="myVar" items="1,2,3,4,5" begin="1" end="4"><c:out value="${myVar}"/></c:forEach></tagunit:actualResult>
  <tagunit:expectedResult>2345</tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Loop over 5 tokens (begin=1, end=1)">
  <tagunit:actualResult><c:forEach var="myVar" items="1,2,3,4,5" begin="1" end="1"><c:out value="${myVar}"/></c:forEach></tagunit:actualResult>
  <tagunit:expectedResult>2</tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Loop over 5 tokens (begin=5, end=5)">
  <tagunit:actualResult><c:forEach var="myVar" items="1,2,3,4,5" begin="5" end="5"><c:out value="${myVar}"/></c:forEach></tagunit:actualResult>
  <tagunit:expectedResult/>
</tagunit:assertEquals>

<tagunit:assertEquals name="Loop over 5 tokens (begin=0, end=0)">
  <tagunit:actualResult><c:forEach var="myVar" items="1,2,3,4,5" begin="0" end="0"><c:out value="${myVar}"/></c:forEach></tagunit:actualResult>
  <tagunit:expectedResult>1</tagunit:expectedResult>
</tagunit:assertEquals>